Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065260 - JBPAPP-6872: The faces message defined in the seam exception handler for ViewExpiredException is not displayed against ajax request
Summary: JBPAPP-6872: The faces message defined in the seam exception handler for View...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: Seam
Version: 2.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Marek Novotny
QA Contact: Tomas Repel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 08:29 UTC by Takayuki Konishi
Modified: 2018-12-04 17:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-22 08:18:08 UTC
Type: Bug


Attachments (Terms of Use)
reproducer (deleted)
2014-02-14 09:05 UTC, Takayuki Konishi
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-6872 Minor Resolved The faces message defined in the seam exception handler for ViewExpiredException is not displayed against ajax request 2017-04-26 02:29:54 UTC
JBoss Issue Tracker WFK2-493 Major Closed Seam cannot propagate FacesMessage after session timeout and ajax request 2017-04-26 02:29:54 UTC

Description Takayuki Konishi 2014-02-14 08:29:15 UTC
Description of problem:

I've reproduce JBPAPP-6872 in Seam 2.3. Attached reproducer is modified to fit the version.

How reproducible: 100 %

Steps to Reproduce:

1. deploy the attached web application 'myproject.war'
2. access to the web application http://localhost:8080/myproject/test.seam
3. login with the username 'admin' and a blank password
4. wait one minute for triggering a session timeout
5. click the button 'Invoke testAction.testAction() by a4j:commandButton'

Actual results:

the faces message 'Your session has timed out, please try again' is not displayed in the error page

Expected results:

the message is displayed.

Additional info:

Comment 1 Takayuki Konishi 2014-02-14 09:05:02 UTC
Created attachment 863185 [details]
reproducer

Comment 2 Brian Leathem 2014-02-18 17:30:44 UTC
@Takayuki can you please provide the source code for the attached reproducer?

Comment 3 Brian Leathem 2014-02-18 22:43:01 UTC
I edited the facelet file in the attached war nesting an <f:ajax> tag in the <h:commandButton>.  The same behavior is then observed as with the <rich:commandButton>.

This is not a RichFaces issue, but either a Seam issue, or an underlying JSF issue.

Note: JSF 2.2 introduced the "transient" attribute precisely to address this use case.

Comment 4 Takayuki Konishi 2014-02-21 05:58:26 UTC
I confired h:commandButton with f:ajax doesn't show the expired message.

<h:commandButton action="#{testAction.testAction()}"
    value="Invoke testAction.testAction() by h:commandButton"
    style="width:300px">
  <f:ajax />          
</h:commandButton>

Comment 5 Tomas Remes 2014-02-24 13:03:08 UTC
I've created related issue in Seam, but I am not really sure, if this is possible to resolve. Note that if there is no session timeout (expire), facesMessages are displayed correctly.

Comment 6 JBoss JIRA Server 2014-07-08 12:42:08 UTC
Marek Novotny <mnovotny@redhat.com> updated the status of jira JBPAPP-6872 to Resolved

Comment 7 JBoss JIRA Server 2015-02-16 14:19:51 UTC
Marek Novotny <mnovotny@redhat.com> updated the status of jira WFK2-493 to Closed

Comment 8 Marek Novotny 2015-09-22 08:18:08 UTC
WFK is EOL so closing the issue


Note You need to log in before you can comment on or make changes to this bug.